Summary: Streamtuner is a stream directory browser.
Name: streamtuner
Version: 0.12.1
Release: 1
#Epoch:
License: BSD
Group: Productivity/Networking/Other
Distribution: SuSE Linux 9.0
Source0: %{name}-%{version}.tar.gz
URL: http://streamtuner.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /opt/gnome 
Requires: curl gtk2 glib2 openssl freetype2 xmms streamripper
Buildrequires: curl-devel gtk2-devel glib2-devel pkgconfig openssl-devel freetype2-devel xmms-devel


%description 
Streamtuner is a stream directory browser which connects to a source (probably a Web server) and retrieves the list of available audio streams featuring a good-looking GTK2 interface, a multi-threaded design and a plugin system.
You may use streamripper in order to record mp3 stream on your hard drive.

%prep
%setup -q -n %{name}-%{version}
./configure --prefix=%{prefix} --mandir=/usr/share/man    

%build
make 

%install
make DESTDIR=%buildroot install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README AUTHORS COPYING NEWS TODO
%{prefix}/bin/streamtuner
#%{prefix}/bin/streamtuner-theme-convert
%{prefix}/lib/pkgconfig/streamtuner.pc
%{prefix}/lib/streamtuner/plugins/shoutcast.*
%{prefix}/include/streamtuner/st-*
%{prefix}/include/streamtuner/streamtuner.h
%{prefix}/share/applications/streamtuner.desktop
%{prefix}/share/locale/fr/LC_MESSAGES/streamtuner.mo
%{prefix}/share/locale/de/LC_MESSAGES/streamtuner.mo
%{prefix}/share/pixmaps/streamtuner.png
#/usr/share/man/man1/streamtuner*
%{prefix}/share/doc/streamtuner/C/documentation-license.xml
%{prefix}/share/doc/streamtuner/C/figures/main-window.png
%{prefix}/share/doc/streamtuner/C/figures/search-category.png
%{prefix}/share/doc/streamtuner/C/figures/search-dialog.png
%{prefix}/share/doc/streamtuner/C/software-license.xml
%{prefix}/share/doc/streamtuner/C/streamtuner.xml
%{prefix}/share/omf/streamtuner/streamtuner-C.omf


%changelog
* Thu Mar 06 2004 Sebastien Corot <scorot@libertysurf.fr>
- update to version 0.12.1
- update file list

* Sun Feb 08 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.11.1

* Sat Jan 31 2004 Sebastien Corot <scorot@libertysurf.fr>
- corrected licence type : streamtuner is realeased under BSD Licence, not GPL.
- updated to version 0.11.0

* Fri Jan 09 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.10.2

* Fri Dec 05 2003 Sebastien Corot <scorot@libertysurf.fr>
- changed summary
- removed kde menu entry because gnome menu entry already exists
- removed MPlayer dependency 

* Sat Nov 08 2003 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.10.1
- compiled fo SuSE Linux
- changed package group
- added package an build dependencies
- added kde menu entry

* Wed Aug 21 2002 Rudolf Kastl
- Initial RPM release

